---
layout: post
title: "Démocratie participative : vers un renouveau démocratique ?"
authors: 
  - Yamina Saheb
  - Antoine Brachet
  - Raphaël Bosch-Joubert 
  - Laura-Jane Gautier
date: "2017-09-12"
slug: "democratie_participative"
description: "3 initiatives pour se réapproprier de nouvelles formes de pouvoir."
categories:
  - Démocratie
---

Aux Treilles, les débats sur la démocratie ont porté sur le besoin légitime de nos citoyens de passer d’une démocratie représentative à une démocratie participative. Les crapauds fous ont également débattu des outils à utiliser pour que ce passage puisse s’opérer en douceur et de façon inclusive.

L’idée de la démocratie participative résulte du constat partagé que la démocratie représentative n’est plus en mesure de faire face aux défis de notre époque. Il est vrai que le monde a tellement gagné en complexité qu’il devient de plus en plus difficile pour nos élus d’anticiper les impacts de leurs décisions, quelle qu’en soit la pertinence idéologique initiale. Par ailleurs, la défiance vis-à-vis des élus politiques a tellement augmenté que le discours des extrêmes est, malheureusement, devenu audible.

Toutefois, les citoyens ne baissent pas les bras. Animés d’un enthousiasme réaliste, ils cherchent des solutions et s’organisent pour se réapproprier la démocratie. Les nouvelles technologies aidant, de nouvelles perspectives de participation à la démocratie s’offrent aux citoyens. Il est en effet devenu tellement facile de partager de l’information ou de créer un groupe en ligne pour débattre d’un sujet et décider d’une action collective sur le terrain et, d’une certaine façon, d’influencer la décision politique. L’idée étant d’utiliser les #civic tech pour redonner le pouvoir aux citoyens.

Parmi les expériences débattues par les participants, trois ont particulièrement retenu notre attention

## Stades citoyens

Cette expérience, à laquelle Raphaël a pris part, est une tentative d’utilisation du Stade de France comme un espace pour la construction et l’expression démocratiques. L’idée étant de rassembler un panel national d’initiatives chargées de sens pour les proposer comme matière principale à l’expérimentation de méthodes de l’intelligence collective, de la co-construction et de l’utilisation des nouvelles technologies comme les #civic tech pour redonner le pouvoir aux citoyens. Plus de 100 structures porteuses d’initiatives concrètes se sont fédérées et des personnalités de la société civile ont apporté leur soutien à l’initiative. Malheureusement, la mise en œuvre de l’initiative n’a pas pu se faire en 2017, par manque de moyens financiers, mais l’idée a essaimé au-delà de nos frontières. À Rio et Bruxelles, les stades sont séduits par l’organisation d’une agora géante par les citoyens et pour les citoyens !

## La Primaire citoyenne

Cette fois, c’est Laura-Jane qui a participé à l’expérience de l’organisation d’une primaire citoyenne (LaPrimaire.org). Sur le modèle de la primaire des partis politiques traditionnels, l’une des premières primaires citoyennes au monde fut organisée à l’occasion de l’élection présidentielle de 2017, en France. Les participants à cette primaire étaient tous issus de la société civile et une citoyenne, Charlotte Marchandise, fut élue à l’issue de la primaire. En deux mois et demi de campagne, près de 3 000 volontaires se sont manifestés d’eux-mêmes partout en France et ont organisé des comités de soutien. Il est vrai que Charlotte n’a pas été élue présidente de la République, mais le seul fait d’organiser la primaire citoyenne a permis de sensibiliser les citoyens au rôle important que les élections jouent dans nos démocraties.

## Julien Letailleur

Julien Letailleur est un activateur citoyen. Il est le porte-voix de toutes les volontés citoyennes et a le visage de l’intelligence collective positive. Antoine est l’un des membres de ce projet qui propose de créer un ministère « Citoyen des futurs ». L’objectif étant de remettre les citoyens au centre de la démocratie en animant les initiatives citoyennes existantes. Parmi les motivations des participants au projet, on retrouve cette envie i) de reprendre le pouvoir sur leur avenir, ii) de raconter une histoire optimiste de cette prise de pouvoir, iii) d’inventer et d’expérimenter, dès aujourd’hui, le fonctionnement démocratique de demain, iv) d’être des acteurs du débat public et v) d’avoir des réponses collectives aux enjeux de notre époque. Ce projet est en adéquation avec la réflexion lancée par Barack Obama, il y a dix ans, sur les nouveaux processus démocratiques.

Nous vous proposons d’y participer : il vous suffit de vous connecter au profil Facebook de Julien Letailleur[1] pour connaître la suite, et peut être y contribuer pour ceux d’entre vous qui le souhaitent !

Les expériences partagées par Raphaël, Laura-Jane et Antoine montrent que les initiatives de réappropriation de la démocratie par les citoyens se multiplient en France et ailleurs. Les participants à ce type de projets sont de plus en plus nombreux. Ils apprennent à se connaître et se nourrissent des expériences des uns et des autres, qu’elles soient concluantes ou pas. Le chemin parcouru ensemble compte plus que le résultat final. L’important étant de partager, chaque participant apporte un nouvel angle, une nouvelle perspective qui complète celle des autres.

Conscients des enjeux de notre époque et de la responsabilité des adultes d’aujourd’hui vis-à-vis des générations futures, les citoyens utilisent les nouvelles technologies pour une répartition citoyenne du pouvoir. Raphaël, Laura-Jane et Antoine nous ont confié que de ce bouillonnement émergera petit à petit une autre façon de faire les choses.


Nous vous invitons à rejoindre ces mouvements !

[1]: https://www.facebook.com/profile.php?id=100011421813904
