---
layout: post
title: "Language commun"
authors: 
  - Jean-Baptiste Moretti
date: "2017-09-12"
slug: "language_commun"
description: "Nous avons tous notre pierre à apporter à l’édifice."
categories:
  - Enthousiasme
---

Que vous soyez urbain, rural, manuel ou intellectuel, modeste ou aisé, érudit ou non, ce livre s’adresse à vous. C’est le contraire d’un livre fait par et pour une élite. Je viens du peuple, en toute humilité je peux dire que je vis à mi-chemin entre tous ces milieux, entre les bibliothèques et les vignes, les instituts et les bars de village, et je me porte garant de cette vérité. Ce livre vous concerne tous.


Le germe d’une guerre civile. C’est ce que j’ai entrevu, pour la première fois de ma vie, lors des dernières élections. Dans notre beau pays, terre de Coluche, de Victor Hugo, de Ravel et du bon vin. Elle est potentiellement loin, bien sûr, encore. Mais le niveau de polarisation atteint entre les individus, entre les prétendues « castes », ne peut suggérer qu’une confrontation s’envenimant si nous n’y prenons pas garde.


Je viens d’une famille rurale et modeste. Peu, voire pas, de culture. Dans ma famille, il y a de tout. Des athées, des catholiques, des juifs, des musulmans, des animistes… Des très riches, des très pauvres. Des beaux selon les critères de beauté contemporains, des laids suivant ces mêmes critères. Je les aime tous, les respecte tous, de la même manière. Parce que chacun a raison, depuis son point de vue. Parce que si j’avais leur vécu et étais né avec leur personnalité, je penserais exactement comme eux. Et c’est là que tout se joue.


Cédric et moi nous connaissons depuis de longues années maintenant. Jamais je n’ai oublié nos premières rencontres. Elles ont été magiques pour moi, et ont probablement changé toute ma perception du monde. Je souhaiterais en témoigner devant vous ici en quelques lignes.
J’ai rencontré Cédric alors qu’il venait remettre un prix de mathématiques à des collégiens d’une ZEP de Toulouse pour les encourager. Il y avait un grand nombre d’invités de marque pour l’occasion. Je m’attendais à ce que notre rencontre soit de cette teneur, avec ce monde que je ne connais que peu, un monde intellectuel, cultivé, où les titres sont monnaie courante et où l’on croise directeurs d'établissements et consuls. C’est alors que Cédric dit au groupe de VIP venus pour l’occasion qu’il va s'éclipser pour dîner avec moi. En sortant de l’établissement, nous entendons siffler. Nous nous retournons. C’était mon parrain qui avait trouvé un moyen d’entrer dans la cour. Je me rends alors compte que dans mon esprit, les deux mondes qui vont peut-être entrer en discussion sont totalement opposés. Ne sachant que faire, je me penche vers Cédric, et lui dis la première chose qui me passe par la tête : « Cédric, juste pour te prévenir, je viens d’une famille modeste, et… » Je n’ai pas besoin d’en dire davantage, il se penche vers moi et me répond simplement en riant : « T’inquiète pas, Jean-Baptiste ! »


Et j’aurais voulu que toute personne venant d'un milieu populaire ait été là pour voir la magie qui se produisit à cet instant précis, et qui bouleversa totalement la vision cloisonnée que j’avais du monde. Pendant les trente minutes qui suivirent, je vis mon parrain échanger avec l’un des grands génies d’aujourd'hui, que les gens du peuple voient comme l’un des Einstein contemporains. Je les vis rire, s’amuser, échanger, partager en toute simplicité. « Tu sais que c’est les mathématiciens qui font une partie de ton GPS ? » dit Cédric à mon parrain en souriant. Ce à quoi mon parrain répond, amusé : « Oui, mais c’est moi qui conduis. »
L’empreinte que cet événement a laissée en moi est extraordinaire. J’en avais désormais la preuve : nous pouvons tous trouver, entre nous, un langage commun. Littéralement. Cette idée est porteuse d’espoir.


Nous avons tous raison. Nous avons tous notre propre vérité parce que nos vies sont différentes, nos caractères innés et nos vécus le sont tout autant. Il ne s’agit donc aucunement de chercher à avoir les mêmes opinions, il s’agit uniquement d’apprendre chaque jour davantage à se mettre à la place de l'autre. La clé, c’est le bon sens. C'est une graine que chacun de nous détient en lui. Que chacun de nous peut faire fleurir s’il le décide seulement. Car cette simple graine dépasse toutes les divergences d’opinion, transcende toutes les tendances politiques, toutes les religions. Les cloisons qui nous séparent sont instantanément annihilées lorsque nous nous mettons à cultiver cette part de nous. Car c’est la porte ouverte à l'autre.
Notre civilisation ne peut fonctionner que si on arrive à trouver un langage commun entre tous. Et la seule porte vers ce langage commun, c’est ce bon sens permettant de faire émerger en chacun l'empathie.


Nous avons tous notre pierre à apporter à l’édifice. Cédric m’a dit un jour : « Personne n’est indispensable. » Pourtant chacun peut apporter le meilleur de lui-même. Non indispensable et pertinent à la fois. Tous ensemble, et tous singuliers. Les industriels, les entrepreneurs, les salariés, les ouvriers, ceux qui travaillent la terre, ceux qui font pousser ce que nous mangerons demain, tous font partie de la même civilisation. Tous ont un rôle à jouer. Peut-être inventerons-nous ensemble le monde de demain ? Peut-être rendrons-nous ce monde plus juste et plus humain ? Des ajustements sont nécessaires pour faire face aux mutations profondes de notre société. Abraham Lincoln disait : « Comme notre cas est nouveau, alors nous devons penser de manière nouvelle, et agir de manière nouvelle. Nous devons nous libérer de nos chaînes, et alors, nous sauverons notre pays. » Aujourd’hui, penser de manière nouvelle, c’est faire preuve de bon sens. Comprendre que nous sommes tous divers, et que pourtant nous partageons une aventure commune, l’humanité. Ainsi, nous sauverons notre civilisation.


« J’attends tout des autres, qui eux, attendent tout des autres, ceux-ci mêmes qui attendent tout de moi. » C'est une phrase d’un texte de rap que nous écoutions, mes amis d’enfance et moi, lorsque nous étions adolescents. Chacun d’entre nous peut participer à changer ce processus. Peu importe d’où nous venons, qui nous sommes, où nous souhaitons aller. Nous sommes tous le rôle principal de notre vie. Et les porteurs du changement menant au monde de demain. Chaque geste que nous faisons, aussi infime nous semble-t-il, participe à ce changement. Ce sont autant de cadeaux que nous faisons à nos enfants pour leur offrir un avenir dont nous puissions être fiers.


Dans les pages qui vont suivre, vous allez découvrir le fruit du travail des crapauds fous, présentant les grands défis auxquels l’humanité va devoir faire face durant les décennies à venir. Cet ensemble, inspiré par Thanh et Cédric, et mené par Thanh, est le fruit d’une collaboration assidue qui a duré environ dix mois.
À travers les époques, l’humanité a dû faire face à des défis considérables, et a appris à le faire en mettant en résonance les voix de chacun. Cette fois encore, pour que nous parvenions à y relever le défi, il nous faudra faire émerger cette chose qui se trouve au fond de nous, et qui seule peut permettre de nous entendre et de mettre en commun nos forces : notre langage commun.


<img src="{{ site.urlimg }}/profiles/epilogue_illus.png" />
